summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2009-06-13 15:54:23 +0200
committerDan McGee <dan@archlinux.org>2009-06-13 16:50:53 +0200
commit04d5c4294ab5d35cceb149d7c94a4bf3aa6d7a85 (patch)
tree1a62f4b8b08816e08affba1b99dcfed974d09e06 /scripts
parentaa579b843899ccba093f83faa942599ce1110c24 (diff)
downloadpacman-04d5c4294ab5d35cceb149d7c94a4bf3aa6d7a85.tar.gz
pacman-04d5c4294ab5d35cceb149d7c94a4bf3aa6d7a85.tar.xz
makepkg: fix PKGBUILD sanity check
If PKGBUILD was good, the "insane" variable was not defined and so the if statement failed. Simplify and fix this check. Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in5
1 files changed, 1 insertions, 4 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index f46b7f81..e2e3de68 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1630,10 +1630,7 @@ if [ "$(type -t package)" = "function" ]; then
fi
# check the PKGBUILD for some basic requirements
-check_sanity || insane=1
-if [ $insane -eq 1 ]; then
- exit 1
-fi
+check_sanity || exit 1
# We need to run devel_update regardless of whether we are in the fakeroot
# build process so that if the user runs makepkg --forcever manually, we